Metadata support

Metadata support. More...

## Functions

void | quicktime_set_copyright (quicktime_t *file, char *string)
| Set the copyright info for the file. More...
void | quicktime_set_name (quicktime_t *file, char *string)
| Set the name for the file. More...
void | quicktime_set_info (quicktime_t *file, char *string)
| Set info for the file. More...
char * | quicktime_get_copyright (quicktime_t *file)
| Get the copyright info from the file. More...
char * | quicktime_get_name (quicktime_t *file)
| Get the name from the file. More...
char * | quicktime_get_info (quicktime_t *file)
| Get the info string from the file. More...
void | lqt_set_album (quicktime_t *file, char *string)
| Set the album for the file. More...
void | lqt_set_artist (quicktime_t *file, char *string)
| Set the artist for the file. More...
void | lqt_set_genre (quicktime_t *file, char *string)
| Set the genre for the file. More...
void | lqt_set_track (quicktime_t *file, char *string)
| Set the track number for the file. More...
void | lqt_set_comment (quicktime_t *file, char *string)
| Set the comment for the file. More...
void | lqt_set_author (quicktime_t *file, char *string)
| Set the author for the file. More...
void | lqt_set_creation_time (quicktime_t *file, unsigned long time)
| Set the creation time for the file. More...
char * | lqt_get_album (quicktime_t *file)
| Get the album from the file. More...
char * | lqt_get_artist (quicktime_t *file)
| Get the artist from the file. More...
char * | lqt_get_genre (quicktime_t *file)
| Get the genre from the file. More...
char * | lqt_get_track (quicktime_t *file)
| Get the track number from the file. More...
char * | lqt_get_comment (quicktime_t *file)
| Get the comment from the file. More...
char * | lqt_get_author (quicktime_t *file)
| Get the author from the file. More...
unsigned long | lqt_get_creation_time (quicktime_t *file)
| Get the creation time from the file. More...

## Detailed Description

Metadata support.

These functions allow you to read/write the metadata of the file. Currently, only the metadata in the udta atom are supported.

## Function Documentation

void quicktime_set_copyright | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the copyright info for the file.

Parameters

  file | A quicktime handle
  string | The copyright info

void quicktime_set_name | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the name for the file.

Parameters

  file | A quicktime handle
  string | The name

void quicktime_set_info | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set info for the file.

Parameters

  file | A quicktime handle
  string | An info string

char* quicktime_get_copyright | ( | quicktime_t * | file | ) |

Get the copyright info from the file.

Parameters

  file | A quicktime handle

Returns
  The copyright info or NULL

char* quicktime_get_name | ( | quicktime_t * | file | ) |

Get the name from the file.

Parameters

  file | A quicktime handle

Returns
  The name or NULL

char* quicktime_get_info | ( | quicktime_t * | file | ) |

Get the info string from the file.

Parameters

  file | A quicktime handle

Returns
  The info string or NULL

void lqt_set_album | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the album for the file.

Parameters

  file | A quicktime handle
  string | The album

void lqt_set_artist | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the artist for the file.

Parameters

  file | A quicktime handle
  string | The artist

void lqt_set_genre | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the genre for the file.

Parameters

  file | A quicktime handle
  string | The genre

void lqt_set_track | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the track number for the file.

Parameters

  file | A quicktime handle
  string | The track number (as string)

void lqt_set_comment | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the comment for the file.

Parameters

  file | A quicktime handle
  string | The comment

void lqt_set_author | ( | quicktime_t * | file,
|  | char * | string
| ) |  |

Set the author for the file.

Parameters

  file | A quicktime handle
  string | The author

void lqt_set_creation_time | ( | quicktime_t * | file,
|  | unsigned long | time
| ) |  |

Set the creation time for the file.

Parameters

  file | A quicktime handle
  time | The creation time

char* lqt_get_album | ( | quicktime_t * | file | ) |

Get the album from the file.

Parameters

  file | A quicktime handle

Returns
  The album or NULL

char* lqt_get_artist | ( | quicktime_t * | file | ) |

Get the artist from the file.

Parameters

  file | A quicktime handle

Returns
  The artist or NULL

char* lqt_get_genre | ( | quicktime_t * | file | ) |

Get the genre from the file.

Parameters

  file | A quicktime handle

Returns
  The genre or NULL

char* lqt_get_track | ( | quicktime_t * | file | ) |

Get the track number from the file.

Parameters

  file | A quicktime handle

Returns
  The track number (as string) or NULL

char* lqt_get_comment | ( | quicktime_t * | file | ) |

Get the comment from the file.

Parameters

  file | A quicktime handle

Returns
  The comment or NULL

char* lqt_get_author | ( | quicktime_t * | file | ) |

Get the author from the file.

Parameters

  file | A quicktime handle

Returns
  The author or NULL

unsigned long lqt_get_creation_time | ( | quicktime_t * | file | ) |

Get the creation time from the file.

Parameters

  file | A quicktime handle

Returns
  The creation time